Bug 1572675 - Review Request: ansible-role-container-registry - Ansible role to configure Docker + Registry for TripleO
Summary: Review Request: ansible-role-container-registry - Ansible role to configure D...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: trunk
Assignee: Javier Peña
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: RDO-ROCKY
TreeView+ depends on / blocked
 
Reported: 2018-04-27 14:48 UTC by Emilien Macchi
Modified: 2019-04-25 14:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-25 14:45:59 UTC
jpena: rdo-review+


Attachments (Terms of Use)

Description Emilien Macchi 2018-04-27 14:48:59 UTC
Description: ansible-role-container-registry - Ansible role to configure Docker + Registry for TripleO 
Fedora Account System Username: none

Comment 1 Javier Peña 2018-04-27 15:00:27 UTC
Initial licensecheck output:

$ licensecheck -r .
./.gitreview: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.md: *No copyright* UNKNOWN
./ansible-requirements.txt: *No copyright* UNKNOWN
./ansible.cfg: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0)
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./ci-scripts/ansible-lint.sh: *No copyright* UNKNOWN
./defaults/main.yml: *No copyright* UNKNOWN
./handlers/main.yml: *No copyright* UNKNOWN
./meta/main.yml: *No copyright* UNKNOWN
./tasks/docker-distribution.yml: *No copyright* UNKNOWN
./tasks/docker.yml: *No copyright* UNKNOWN
./tasks/main.yml: *No copyright* UNKNOWN
./templates/docker-daemon.json.j2: *No copyright* UNKNOWN
./templates/docker-distribution-config.yml.j2: *No copyright* UNKNOWN
./tests/inventory: *No copyright* UNKNOWN
./tests/test.yml: *No copyright* UNKNOWN
./vars/main.yml: *No copyright* UNKNOWN

The package is licensed with the Apache 2.0 license.

Comment 2 Javier Peña 2018-04-27 15:22:54 UTC
Review notes:

- The tarball generation and %define in spec are expected, since the source RPM was generated by DLRN.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 24 files have unknown
     license. Detailed output of licensecheck in /tmp/ansible-role-
     container-registry/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/ansible
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/ansible,
     /usr/lib/python2.7, /usr/lib/python2.7/site-packages
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[-]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.0.1.dev29
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: ansible-role-container-registry-0.0.1-0.20180427143638.6437192.el7.centos.noarch.rpm
          ansible-role-container-registry-0.0.1-0.20180427143638.6437192.el7.centos.src.rpm
ansible-role-container-registry.noarch: W: summary-ended-with-dot C Ansible role to deploy a container registry.
ansible-role-container-registry.noarch: E: no-changelogname-tag
ansible-role-container-registry.src: W: summary-ended-with-dot C Ansible role to deploy a container registry.
ansible-role-container-registry.src: E: no-changelogname-tag
ansible-role-container-registry.src: W: invalid-url Source0: ansible-role-container-registry-0.0.1.dev29-0.20180427143638.6437192.tar.gz
2 packages and 0 specfiles checked; 2 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
ansible-role-container-registry.noarch: W: summary-ended-with-dot C Ansible role to deploy a container registry.
ansible-role-container-registry.noarch: E: no-changelogname-tag
ansible-role-container-registry.noarch: W: invalid-url URL: https://git.openstack.org/cgit/openstack/ansible-role-container-registry <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 1 errors, 2 warnings.



Requires
--------
ansible-role-container-registry (rpmlib, GLIBC filtered):
    ansible



Provides
--------
ansible-role-container-registry:
    ansible-role-container-registry



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -n ansible-role-container-registry -r -m dlrn
Buildroot used: dlrn-centos7-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

The package is APPROVED.

Comment 3 Javier Peña 2019-04-25 14:45:59 UTC
The package has been present in RDO Trunk for a while, closing the bug.


Note You need to log in before you can comment on or make changes to this bug.